package com.ktg.iscs.mapper;

import com.ktg.common.mapper.BaseMapperX;
import com.ktg.iscs.domain.TestIscs;

import java.util.List;

/**
 * 测试用Mapper接口
 *
 * @author yinjinlu
 * @date 2024-10-14
 */
public interface TestIscsMapper extends BaseMapperX<TestIscs>
{
    /**
     * 查询测试用
     *
     * @param id 测试用主键
     * @return 测试用
     */
    TestIscs selectTestIscsById(Long id);

    /**
     * 查询测试用列表
     *
     * @param testIscs 测试用
     * @return 测试用集合
     */
    List<TestIscs> selectTestIscsList(TestIscs testIscs);

    /**
     * 新增测试用
     *
     * @param testIscs 测试用
     * @return 结果
     */
    int insertTestIscs(TestIscs testIscs);

    /**
     * 修改测试用
     *
     * @param testIscs 测试用
     * @return 结果
     */
    int updateTestIscs(TestIscs testIscs);

    /**
     * 删除测试用
     *
     * @param id 测试用主键
     * @return 结果
     */
    int deleteTestIscsById(Long id);

    /**
     * 批量删除测试用
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTestIscsByIds(Long[] ids);
}
